Registry Data Containers - List
데이터 컨테이너를 나열합니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/data?api-version=2025-12-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/data?api-version=2025-12-01&$skip={$skip}&listViewType={listViewType}
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
registry
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{2,32}$ |
Azure Machine Learning 레지스트리의 이름입니다. 대/소문자를 구분하지 않습니다 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다. |
|
subscription
|
path | True |
string minLength: 1 |
대상 구독의 ID입니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
|
$skip
|
query |
string |
페이지 매김에 대한 연속 토큰입니다. |
|
|
list
|
query |
보관된 엔터티 포함/제외(예: )에 대한 보기 형식입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
Azure 작업이 성공적으로 완료되었습니다. |
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
RegistryList Registry Data Container.
샘플 요청
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/registries/registryName/data?api-version=2025-12-01&listViewType=All
샘플 응답
{
"nextLink": "https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/registries/registries123/data?api-version=2025-07-01-preview&$skip=2",
"value": [
{
"name": "string",
"type": "string",
"id": "string",
"properties": {
"description": "string",
"dataType": "uri_folder",
"isArchived": false,
"latestVersion": "string",
"nextVersion": "string",
"properties": {
"string": "string"
},
"tags": {
"string": "string"
}
},
"systemData": {
"createdAt": "2020-01-01T12:34:56.999+00:15",
"createdBy": "string",
"createdByType": "Application",
"lastModifiedAt": "2020-01-01T12:34:56.999+00:15",
"lastModifiedBy": "string",
"lastModifiedByType": "ManagedIdentity"
}
}
]
}
정의
| Name | Description |
|---|---|
|
created |
리소스를 만든 ID의 형식입니다. |
|
Data |
Azure Resource Manager 리소스 봉투. |
|
Data |
데이터 자산 버전에 대한 컨테이너입니다. |
|
Data |
페이지를 매긴 DataContainer 엔터티 목록입니다. |
|
Data |
데이터 형식을 결정하는 열거형입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
List |
보관된 엔터티 포함/제외(예: )에 대한 보기 형식입니다. |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataContainer
Azure Resource Manager 리소스 봉투.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
리소스의 이름 |
| properties |
[필수] 엔터티의 추가 특성입니다. |
|
| systemData |
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다. |
|
| type |
string |
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts" |
DataContainerProperties
데이터 자산 버전에 대한 컨테이너입니다.
| Name | 형식 | Default value | Description |
|---|---|---|---|
| dataType |
[필수] 데이터 형식을 지정합니다. |
||
| description |
string |
자산 설명 텍스트입니다. |
|
| isArchived |
boolean |
False |
자산이 보관되어 있나요? |
| latestVersion |
string |
이 컨테이너 내의 최신 버전입니다. |
|
| nextVersion |
string |
다음 자동 증분 버전 |
|
| properties |
object |
자산 속성 사전입니다. |
|
| tags |
object |
태그 사전입니다. 태그를 추가, 제거 및 업데이트할 수 있습니다. |
DataContainerResourceArmPaginatedResult
페이지를 매긴 DataContainer 엔터티 목록입니다.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string (uri) |
항목의 다음 페이지에 대한 링크 |
| value |
이 페이지의 DataContainer 항목들 |
DataType
데이터 형식을 결정하는 열거형입니다.
| 값 | Description |
|---|---|
| uri_file | |
| uri_folder | |
| mltable |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
ListViewType
보관된 엔터티 포함/제외(예: )에 대한 보기 형식입니다.
| 값 | Description |
|---|---|
| ActiveOnly | |
| ArchivedOnly | |
| All |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |